/** 
 * AbstractExcelGenerator.java
 * @author 임새미 
 * @since 2016. 10. 14.
 *
 *  	 수정일                     수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2016. 10. 14. 	    임새미				       최초생성
 * 
 */
package kcg.imis.cmmn.excel;

import java.util.Map;

import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFCellStyle;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

/**
  * @FileName : AbstractExcelExport.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 3. 29. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 :
 */
public abstract class AbstractExcelExport implements ExcelExport {

	/* 기본적으로 3번 라인이 시작라인 */
	protected int firstRow = 2;
	protected String template = null;
	
	/* 파라미터 맵 */
	protected Map<String, Object> document = null;

	
	/**
	 * 엑셀을 생성한다.
	 * 
	 * @param document 엑셀 파일을 생성하기 위한 데이터셋
	 * @return Workbook 객체
	 */
	public abstract XSSFWorkbook makeExcel(XSSFWorkbook wb);
	
	/**
	 * 타이틀을 설정한다.
	 * 
	 * @param 파라미터 파라미터설명
	 */
	protected void setTitleRow(XSSFSheet sheet, XSSFCellStyle style, String title) {
		
		XSSFRow row = sheet.createRow(0);
		XSSFCell cell = row.createCell(0);
		
		cell.setCellValue(title);
		if (style != null) {
			
		}
		cell.setCellStyle(style);
		
	}
	
}
